# Get account delegator rewards

Get a paginated list of delegator rewards.

```
GET /accounts/{public_key}/delegation-rewards
```

## Query params

| Query param            | Description                                                        |
| ---------------------- | ------------------------------------------------------------------ |
| `validator_public_key` | The public key of the validator to whom the stakes were delegated. |

## Sorting

| Property | Description                              |
| -------- | ---------------------------------------- |
| `era_id` | Sort validator rewards by era identifier |

Default sorting is `era_id DESC`

## Optional properties

| Property | Type      | Description                                                                                                                                                                                              |
| -------- | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `rate`   | `float32` | The rate that was relevant at the moment when the last block was proposed. To get more details see [Including CSPR rates](https://docs.cspr.cloud/1.0.x/documentation/highlights/including-cspr-rates) . |

## Response

[`PaginatedResponse`](https://docs.cspr.cloud/1.0.x/documentation/overview/pagination)[`<DelegatorReward>`](https://docs.cspr.cloud/1.0.x/rest-api/delegator-reward)

## Example

```bash
curl -X 'GET' \
   'https://api.testnet.cspr.cloud/accounts/018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02/delegation-rewards' \
   -H 'Accept: application/json' \
   -H 'Authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "item_count": 236971,
  "page_count": 23698,
  "data": [
    {
      "amount": "159823316933",
      "era_id": 11955,
      "public_key": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "timestamp": "2024-01-04T15:22:55Z",
      "validator_public_key": "01075ec8809c691a1d1b0250ba9ea75da5460e3df43c3172771c6975c989457159"
    },
    {
      "amount": "79953616939",
      "era_id": 11955,
      "public_key": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "timestamp": "2024-01-04T15:22:55Z",
      "validator_public_key": "0106618e1493f73ee0bc67ffbad4ba4e3863b995d61786d9b9a68ec7676f697981"
    },
    ...
    {
      "amount": "8575383",
      "era_id": 11955,
      "public_key": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "timestamp": "2024-01-04T15:22:55Z",
      "validator_public_key": "01014adf59e29558cfee1a6bcf0dd64701b0ea2c778bd4c00e3383085b88d6342c"
    }
  ]
}
```
